## oolite 1.82

=== Makefile ===
include config.make

# Build version string, taking into account that 'VER_REV' may not be set
VERSION     := $(strip $(shell cat src/Cocoa/oolite-version.xcconfig | cut -d '=' -f 2))
VER_MAJ     := $(shell echo "${VERSION}" | cut -d '.' -f 1)
VER_MIN     := $(shell echo "${VERSION}" | cut -d '.' -f 2)
VER_REV     := $(shell echo "${VERSION}" | cut -d '.' -f 3)
VER_REV     := $(if ${VER_REV},${VER_REV},0)
VER_DATE	:= $(shell date +%y%m%d)
# VER_GITREV: Make sure git is in the command path
# VER_GITREV is the count of commits since the establishment of the repository on github. Used
# as replacement for SVN incremental revision number, since we require the version number to be
# of format X.X.X.X.
# VER_GITHASH are the first seven digits of the actual hash of the commit being built.
VER_GITREV	:= $(shell git rev-list --count HEAD)
VER_GITHASH	:= $(shell git rev-parse --short=7 HEAD)
VER         := $(shell echo "${VER_MAJ}.${VER_MIN}.${VER_REV}.${VER_GITREV}-${VER_DATE}-${VER_GITHASH}")
BUILDTIME   := $(shell date "+%Y.%m.%d %H:%M")
DEB_BUILDTIME   := $(shell date "+%a, %d %b %Y %H:%M:%S %z")
ifeq (${VER_REV},0)
DEB_VER     := $(shell echo "${VER_MAJ}.${VER_MIN}")
else
DEB_VER     := $(shell echo "${VER_MAJ}.${VER_MIN}.${VER_REV}")
endif
DEB_REV     := $(shell cat debian/revision)
# Ubuntu versions are: <upstream version>-<deb ver>ubuntu<build ver>
# eg: oolite1.74.4-130706-0ubuntu1
# Oolite versions are: MAJ.min.rev-date (yymmdd)
# eg. 1.74.0-130706
# Our .deb versions are: MAJ.min.rev-datestring-<pkg rev>[~<type>]
# eg. 1.74.0.3275-0, 1.74.0-130706-0~test
pkg-debtest: DEB_REV             := $(shell echo "0~test${DEB_REV}")
pkg-debsnapshot: DEB_REV         := $(shell echo "0~trunk${DEB_REV}")

ifeq ($(GNUSTEP_HOST_OS),mingw32)
    ifeq ($(GNUSTEP_HOST_CPU),x86_64)
        LIBJS                        = deps/Windows-deps/x86_64/DLLs/js32ECMAv5.dll
        LIBJS_DBG                    = deps/Windows-deps/x86_64/DLLs/js32ECMAv5.dll
	else
        LIBJS                        = deps/Windows-deps/x86/DLLs/js32ECMAv5.dll
        LIBJS_DBG                    = deps/Windows-deps/x86/DLLs/js32ECMAv5.dll
	endif
    DEPS                         = $(LIBJS)
    DEPS_DBG                     = $(LIBJS_DBG)
else
    # define autopackage .apspec file according to the CPU architecture
    HOST_ARCH                    := $(shell echo $(GNUSTEP_HOST_CPU) | sed -e s/i.86/x86/ -e s/amd64/x86_64/ )
    ifeq ($(HOST_ARCH),x86_64)
       APSPEC_FILE               = installers/autopackage/default.x86_64.apspec
    else
        APSPEC_FILE              = installers/autopackage/default.x86.apspec
    endif

    DEPS                         = LIBJS
    DEPS_DBG                     = LIBJS_DBG
endif


# Here are our default targets
#
.PHONY: debug
debug: $(DEPS_DBG)
	$(MAKE) -f GNUmakefile debug=yes
	mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && cp -rf DebugOXP/Debug.oxp AddOns/Basic-debug.oxp

.PHONY: release
release: $(DEPS)
	$(MAKE) -f GNUmakefile debug=no
	mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && cp -rf DebugOXP/Debug.oxp AddOns/Basic-debug.oxp

.PHONY: release-deployment
release-deployment: $(DEPS)
	$(MAKE) -f GNUmakefile DEPLOYMENT_RELEASE_CONFIGURATION=yes debug=no

.PHONY: release-snapshot
release-snapshot: $(DEPS)
	$(MAKE) -f GNUmakefile SNAPSHOT_BUILD=yes VERSION_STRING=$(VER) debug=no
	mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && cp -rf DebugOXP/Debug.oxp AddOns/Basic-debug.oxp

# Here are targets using the provided dependencies
.PHONY: deps-debug
deps-debug: $(DEPS_DBG)
	$(MAKE) -f GNUmakefile debug=yes use_deps=yes
	mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && cp -rf DebugOXP/Debug.oxp AddOns/Basic-debug.oxp

.PHONY: deps-release
deps-release: $(DEPS)
	$(MAKE) -f GNUmakefile debug=no use_deps=yes
	mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && cp -rf DebugOXP/Debug.oxp AddOns/Basic-debug.oxp


.PHONY: deps-release-deployment
deps-release-deployment: $(DEPS)
	$(MAKE) -f GNUmakefile DEPLOYMENT_RELEASE_CONFIGURATION=yes debug=no use_deps=yes

.PHONY: deps-release-snapshot
deps-release-snapshot: $(DEPS)
	$(MAKE) -f GNUmakefile SNAPSHOT_BUILD=yes VERSION_STRING=$(VER) debug=no use_deps=yes
	mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && cp -rf DebugOXP/Debug.oxp AddOns/Basic-debug.oxp

.PHONY: LIBJS_DBG
LIBJS_DBG:
ifeq ($(GNUSTEP_HOST_OS),mingw32)
	@echo "ERROR - this Makefile can't (yet) build the Javascript DLL"
	@echo "        Please build it yourself and copy it to $(LIBJS_DBG)."
	false
endif
	$(MAKE) -f libjs.make debug=yes

.PHONY: LIBJS
LIBJS:
ifeq ($(GNUSTEP_HOST_OS),mingw32)
	@echo "ERROR - this Makefile can't (yet) build the Javascript DLL"
	@echo "        Please build it yourself and copy it to $(LIBJS)."
	false
endif
	$(MAKE) -f libjs.make debug=no

.PHONY: clean
clean:
	$(MAKE) -f GNUmakefile clean
	$(RM) -rf oolite.app
	$(RM) -rf AddOns 

.PHONY: distclean
distclean: clean
ifneq ($(GNUSTEP_HOST_OS),mingw32)
	$(MAKE) -f libjs.make distclean debug=yes
	$(MAKE) -f libjs.make distclean debug=no
endif

.PHONY: all
all: release release-deployment release-snapshot debug

.PHONY: remake
remake: clean all

.PHONY: deps-all
deps-all: deps-release deps-release-deployment deps-release-snapshot deps-debug

.PHONY: deps-remake
deps-remake: clean deps-all

# Here are our linux autopackager targets
#
pkg-autopackage:
	makepackage -c -m $(APSPEC_FILE)

# Here are our POSIX (e.g. FreeBSD, Linux etc.) self-extracted packager targets
#
# TODO: For debug package the "oolite" startup script should point to "oolite.app/oolite.dbg" binary, 
#       the "uninstall" script should remove the "oolite.dbg" binary and 
#       either not distribute the "oolite-update" scripts or create an Oolite debug repository and 
#       update the "oolite.app/oolite-update" script to synchronize accordingly
#       
#       pkg-posix-debug:
#	        installers/posix/make_installer.sh $(HOST_ARCH) $(VER) "debug"
#
pkg-posix:
	installers/posix/make_installer.sh $(HOST_ARCH) $(VER) "release-deployment" ""

pkg-posix-test:
	installers/posix/make_installer.sh $(HOST_ARCH) $(VER) "release" ""

pkg-posix-snapshot:
	installers/posix/make_installer.sh $(HOST_ARCH) $(VER) "release-snapshot" ""

pkg-posix-nightly:
	installers/posix/make_installer.sh $(HOST_ARCH) $(VER) "release-snapshot" "nightly"

# Here are our Debian packager targets
#
.PHONY: debian/changelog
debian/changelog:
	cat debian/changelog.in | sed -e "s/@@VERSION@@/${VER}/g" -e "s/@@REVISION@@/${DEB_REV}/g" -e "s/@@TIMESTAMP@@/${DEB_BUILDTIME}/g" > debian/changelog

.PHONY: pkg-deb pkg-debtest pkg-debsnapshot
pkg-deb: debian/changelog
	debuild binary

pkg-debtest: debian/changelog
	debuild binary

pkg-debsnapshot: debian/changelog
	debuild -e SNAPSHOT_BUILD=yes -e VERSION_STRING=$(VER) binary

.PHONY: pkg-debclean
pkg-debclean:
	debuild clean

# And here are our Windows packager targets
#
NSIS=/nsis/makensis.exe
NSISVERSIONS=installers/win32/OoliteVersions.nsh

# Passing arguments cause problems with some versions of NSIS.
# Because of this, we generate them into a separate file and include them.
.PHONY: ${NSISVERSIONS}
${NSISVERSIONS}:
	@echo "; Version Definitions for Oolite" > $@
	@echo "; NOTE - This file is auto-generated by the Makefile, any manual edits will be overwritten" >> $@
	@echo "!define VER_MAJ ${VER_MAJ}" >> $@
	@echo "!define VER_MIN ${VER_MIN}" >> $@
	@echo "!define VER_REV ${VER_REV}" >> $@
	@echo "!define VER_GITREV ${VER_GITREV}" >> $@
	@echo "!define VER_GITHASH ${VER_GITHASH}" >> $@
	@echo "!define VERSION ${VER}" >> $@
	@echo "!define BUILDTIME \"${BUILDTIME}\"" >> $@
ifeq ($(GNUSTEP_HOST_CPU),x86_64)
	@echo "!define BUILDHOST_IS64BIT 1" >> $@
else
	@echo "!define BUILDHOST_IS64BIT 0" >> $@
endif

.PHONY: pkg-win
pkg-win: release ${NSISVERSIONS}
	$(NSIS) installers/win32/OOlite.nsi

.PHONY: pkg-win-deployment
pkg-win-deployment: release-deployment ${NSISVERSIONS}
	@echo "!define DEPLOYMENT 1" >> ${NSISVERSIONS}
	$(NSIS) installers/win32/OOlite.nsi

.PHONY: pkg-win-snapshot
pkg-win-snapshot: release-snapshot ${NSISVERSIONS}
	@echo "!define SNAPSHOT 1" >> ${NSISVERSIONS}
	$(NSIS) installers/win32/OOlite.nsi

.PHONY: help
help:
	@echo "This is a helper-Makefile to make compiling Oolite easier."
	@echo
	@echo "NOTE (Linux): To build with the dependency libraries provided with Oolite"
	@echo "              source, use 'deps-' prefix with debug, release, release-snapshot"
	@echo "              and release-deployment build options."
	@echo
	@echo "Development Targets:"
	@echo "  debug               - builds a debug executable in oolite.app/oolite.dbg"
	@echo "  release             - builds a release executable in oolite.app/oolite"
	@echo "  release-deployment  - builds a release executable in oolite.app/oolite"
	@echo "  release-snapshot    - builds a snapshot release in oolite.app/oolite"
	@echo "  all                 - builds the above targets"
	@echo "  clean               - removes all generated files"
	@echo
	@echo "Packaging Targets:"
	@echo " Linux (debian):"
	@echo "  pkg-deb             - builds a release Debian package"
	@echo "  pkg-debtest         - builds a test release Debian package"
	@echo "  pkg-debsnapshot     - builds a snapshot release Debian package"
	@echo "  pkg-debclean        - cleans up after a Debian package build"
	@echo
	@echo " POSIX (e.g. FreeBSD, Linux etc.):"
	@echo "  pkg-autopackage     - builds an autopackage (http://autopackage.org) package"
	@echo
	@echo "  pkg-posix           - builds a release self-extracting package"
	@echo "  pkg-posix-test      - builds a test release self-extracting package"
	@echo "  pkg-posix-snapshot  - builds a snapshot release self-extracting package"
	@echo "  pkg-posix-nightly   - builds a snapshot release self-extracting package for the nightly build"
	@echo
	@echo " Windows Installer:"
	@echo "  pkg-win             - builds a test-release version"
	@echo "  pkg-win-deployment  - builds a release version"
	@echo "  pkg-win-snapshot    - builds a snapshot version"

=== debian/changelog ===
oolite (1.82-1) unstable; urgency=medium

  * New upstream release, splitting sound and images. License update.
  * Drop unneeded build dependency on gnustep-core-devel. Closes: #749453.
  * gnustep >= 2.6.6-1 does not need let_gnustep_handle_cflags.diff anymore.
  * watch: upstream migrated to github. Closes: #755994.
  * Repackage with Files-Excluded instead of cleaner script and git branch.
  * Reactivate libespeak support, see #591717.
  * Standards-Version: 3.9.6 (no changes).
  * debian/README: web page snippets that may be useful for users.
  * Provide a writable XDG_CONFIG_HOME to libreoffice when converting .odt
    to PDF, lowering the severity of #730893.
  * allow -Werror=format-security, default with gcc-5. Closes: #778039.
  * patches/avoid_date_cpp_macro.diff: for reproducible builds.
  * patches/avoid_infinite_recursion_in_verify_descriptions.diff.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 03 Sep 2015 01:35:02 +0200

=== debian/control ===
Source: oolite
Section: games
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Standards-Version: 3.9.6
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 libsdl1.2-dev, libopenal-dev, libvorbis-dev, libespeak-dev,
 libminizip-dev,
	libgnustep-base-dev,
	libnspr4-dev, libmozjs185-dev,
	libpng-dev, mesa-common-dev, gobjc,
        pkg-config
Build-Depends-Indep: libreoffice-writer, fonts-liberation, fonts-dejavu,
 fonts-opensymbol
Homepage: http://www.oolite.org
Vcs-Git: git://anonscm.debian.org/pkg-games/oolite.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/oolite.git

Package: oolite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, oolite-data (= ${source:Version})
Replaces: oolite-data (<< 1.76.1-3)
Breaks: oolite-data (<< 1.76.1-3)
Recommends: oolite-doc (= ${source:Version}),
            oolite-data-sounds (= ${source:Version})
Description: space sim game, inspired by Elite
 Oolite is a space sim game, inspired by Elite, powered by Objective-C
 and OpenGL, and designed as a small game that is easy for users to pick
 up, modify and expand upon. Almost every aspect of the game can be changed
 by using simple, free graphics packages and text-editors.
 .
 The purpose of the game is to fly from planet to planet, buying and
 selling goods, shooting pirates or committing acts of piracy.

Package: oolite-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: oolite (<<1.74.2-2), oolite-data (<< 1.74.2-2)
Breaks: oolite (<<1.74.2-2), oolite-data (<< 1.74.2-2)
Suggests: oolite
Description: space sim game, inspired by Elite (documentation)
 Oolite is a space sim game, inspired by Elite, powered by Objective-C
 and OpenGL, and designed as a small game that is easy for users to pick
 up, modify and expand upon. Almost every aspect of the game can be changed
 by using simple, free graphics packages and text-editors.
 .
 The purpose of the game is to fly from planet to planet, buying and
 selling goods, shooting pirates or committing acts of piracy.
 .
 This package contains the documentation.

Package: oolite-data
Architecture: all
Depends: ${misc:Depends}
Replaces: oolite (<<1.74.2-2)
Breaks: oolite (<<1.74.2-2)
Description: space sim game, inspired by Elite (data files)
 Oolite is a space sim game, inspired by Elite, powered by Objective-C
 and OpenGL, and designed as a small game that is easy for users to pick
 up, modify and expand upon. Almost every aspect of the game can be changed
 by using simple, free graphics packages and text-editors.
 .
 The purpose of the game is to fly from planet to planet, buying and
 selling goods, shooting pirates or committing acts of piracy.
 .
 This package contains the data files for the game.

Package: oolite-data-sounds
Architecture: all
Depends: ${misc:Depends}
Replaces: oolite-data (<< 1.74.2-2)
Breaks: oolite-data (<< 1.74.2-2)
Description: space sim game, inspired by Elite (sounds)
 Oolite is a space sim game, inspired by Elite, powered by Objective-C
 and OpenGL, and designed as a small game that is easy for users to pick
 up, modify and expand upon. Almost every aspect of the game can be changed
 by using simple, free graphics packages and text-editors.
 .
 The purpose of the game is to fly from planet to planet, buying and
 selling goods, shooting pirates or committing acts of piracy.
 .
 This package contains the sounds.

=== debian/rules ===
#!/usr/bin/make -f

# Ubuntu/Debian build rules file for OOlite

# Copyright (c) 2007-2009 Chris Crowther <hikari@hikari.org.uk>
# Copyright (c) 2009      Darren Salt <linux@youmustbejoking.demon.co.uk>
# Copyright (c) 2009      Michael Werle <micha@michaelwerle.com>
# Copyright (c) 2010-2015 Nicolas Boulenguez <nicolas@debian.org>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
  build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@

# Debhelper, please, do not run make -f GNUmakefile without me.
override_dh_auto_configure:
override_dh_auto_build-arch:
override_dh_auto_build-indep:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean::
# We will never call the install upstream target, as GNUstep stores
# arch-dep and arch-indep files together. Installing to debian/tmp and
# splitting afterwards is much more complex than moving them once.

######################################################################
# We use the magic of the MAKE variable instead of gs_make so that
# useful options like -n are transmitted to submakes.

include /usr/share/GNUstep/debian/config.mk
GSMAKE += GNUSTEP_MAKEFILES=$(GS_MAKE_DIR)

GSMAKE += messages=yes
# Display compilation flags to log checkers.

# Usually, "debug=yes strip=no" would be enough, but upstream uses
# "debug" to toggle many unrelated settings, for example libmozjs
# debugging and stripping of the binary.
GSMAKE += STRIP=/bin/true

DEB_LDFLAGS_MAINT_PREPEND := -Wl,-z,defs -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk
GSMAKE += $(foreach f,CFLAGS CPPFLAGS LDFLAGS OBJCFLAGS,"$(f)=$($(f))")

# Ignore GNUSTEP optimization setting, noopt is handled by CFLAGS.
GSMAKE += OPTFLAG=""

# Use all processors unless parallel is set in DEB_BUILD_OPTIONS.
# http://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules-options
NUMJOBS := $(filter parallel=%,$(DEB_BUILD_OPTIONS))
ifneq (,$(NUMJOBS))
  GSMAKE += --jobs=$(subst parallel=,,$(NUMJOBS))
else
  GSMAKE += --jobs=$(shell getconf _NPROCESSORS_ONLN)
endif

######################################################################
OOLITE_APP := oolite.app

OOLITE_OPTS += OO_JAVASCRIPT_TRACE=no
# Forced by libmozjs185 settings

OOLITE_OPTS += DEPLOYMENT_RELEASE_CONFIGURATION=yes

override_dh_auto_build-arch: $(OOLITE_APP)
override_dh_auto_build-indep: $(OOLITE_APP)
$(OOLITE_APP):
	$(MAKE) $(GSMAKE) $(OOLITE_OPTS)
override_dh_auto_clean::
	$(MAKE) $(GSMAKE) $(OOLITE_OPTS) distclean clean
	rm -rf $(OOLITE_APP)

######################################################################
# See README.source.

$(OOLITE_APP): Resources/Binary
Resources/Binary: binary-resources
	ln -s ../binary-resources Resources/Binary
override_dh_auto_clean::
	rm -fr Resources/Binary

######################################################################
PLANET_DATA := src/Core/OOPlanetData
ICOSMESH_DIR := tools/icosmesh
ICOSMESH_EXE := $(ICOSMESH_DIR)/obj/icosmesh

$(OOLITE_APP): $(PLANET_DATA).c
$(PLANET_DATA).c: $(ICOSMESH_EXE)
	cd src/Core && ../../$<
override_dh_auto_clean::
	rm -f $(PLANET_DATA).[ch]

$(ICOSMESH_EXE):
	$(MAKE) $(GSMAKE) -C $(ICOSMESH_DIR)
override_dh_auto_clean::
	$(MAKE) $(GSMAKE) -C $(ICOSMESH_DIR) clean

######################################################################
# AdviceForNewCommanders.doc produces a better result than .odt.
PDF_FROM_DOC := \
  Doc/AdviceForNewCommanders.pdf
PDF_FROM_ODT := \
  Doc/OoliteReadMe.pdf \
  Doc/OoliteRS.pdf

# Attempt to circumvent #730893.
TMP_LOFFICE_HOME := $(CURDIR)/debian/tmp_loffice_config
$(PDF_FROM_DOC) $(PDF_FROM_ODT): export XDG_CONFIG_HOME := $(TMP_LOFFICE_HOME)
$(PDF_FROM_DOC) $(PDF_FROM_ODT): $(TMP_LOFFICE_HOME)
$(TMP_LOFFICE_HOME):
	mkdir $@
override_dh_auto_clean::
	rm -fr $(TMP_LOFFICE_HOME)

override_dh_auto_build-indep: $(PDF_FROM_DOC) $(PDF_FROM_ODT)
$(PDF_FROM_DOC): %.pdf: %.doc
	libreoffice --headless --convert-to pdf --outdir $(dir $@) $<
$(PDF_FROM_ODT): %.pdf: %.odt
	libreoffice --headless --convert-to pdf --outdir $(dir $@) $<
override_dh_auto_clean::
	rm -f $(PDF_FROM_DOC) $(PDF_FROM_ODT)

######################################################################
RESOURCES := oolite.app/Resources
SOUNDS    := Music Sounds
override_dh_install:
	dh_install --package=oolite-data-sounds \
          $(addprefix $(RESOURCES)/,$(SOUNDS)) usr/share/oolite
 # All other Resources/ go to oolite-data.
	dh_install --package=oolite-data \
          $(addprefix --exclude=$(RESOURCES)/,$(SOUNDS)) \
          $(RESOURCES)/* usr/share/oolite
	dh_install --remaining-packages

######################################################################
override_dh_installchangelogs:
	dh_installchangelogs --all Doc/CHANGELOG.TXT

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/oolite-$1\.tar\.gz/ \
  https://github.com/OoliteProject/oolite/tags .*/v?(\d\S*)\.tar\.gz

## oolite 1.84

=== Makefile ===
--- 
+++ 
@@ -60,42 +60,42 @@
 #
 .PHONY: debug
 debug: $(DEPS_DBG)
-	$(MAKE) -f GNUmakefile debug=yes
+	$(MAKE) -f GNUmakefile debug=yes strip=no
 	mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && cp -rf DebugOXP/Debug.oxp AddOns/Basic-debug.oxp
 
 .PHONY: release
 release: $(DEPS)
-	$(MAKE) -f GNUmakefile debug=no
+	$(MAKE) -f GNUmakefile debug=no strip=yes
 	mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && cp -rf DebugOXP/Debug.oxp AddOns/Basic-debug.oxp
 
 .PHONY: release-deployment
 release-deployment: $(DEPS)
-	$(MAKE) -f GNUmakefile DEPLOYMENT_RELEASE_CONFIGURATION=yes debug=no
+	$(MAKE) -f GNUmakefile DEPLOYMENT_RELEASE_CONFIGURATION=yes debug=no strip=yes
 
 .PHONY: release-snapshot
 release-snapshot: $(DEPS)
-	$(MAKE) -f GNUmakefile SNAPSHOT_BUILD=yes VERSION_STRING=$(VER) debug=no
+	$(MAKE) -f GNUmakefile SNAPSHOT_BUILD=yes VERSION_STRING=$(VER) debug=no strip=yes
 	mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && cp -rf DebugOXP/Debug.oxp AddOns/Basic-debug.oxp
 
 # Here are targets using the provided dependencies
 .PHONY: deps-debug
 deps-debug: $(DEPS_DBG)
-	$(MAKE) -f GNUmakefile debug=yes use_deps=yes
+	$(MAKE) -f GNUmakefile debug=yes use_deps=yes strip=no
 	mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && cp -rf DebugOXP/Debug.oxp AddOns/Basic-debug.oxp
 
 .PHONY: deps-release
 deps-release: $(DEPS)
-	$(MAKE) -f GNUmakefile debug=no use_deps=yes
+	$(MAKE) -f GNUmakefile debug=no use_deps=yes strip=yes
 	mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && cp -rf DebugOXP/Debug.oxp AddOns/Basic-debug.oxp
 
 
 .PHONY: deps-release-deployment
 deps-release-deployment: $(DEPS)
-	$(MAKE) -f GNUmakefile DEPLOYMENT_RELEASE_CONFIGURATION=yes debug=no use_deps=yes
+	$(MAKE) -f GNUmakefile DEPLOYMENT_RELEASE_CONFIGURATION=yes debug=no use_deps=yes strip=yes
 
 .PHONY: deps-release-snapshot
 deps-release-snapshot: $(DEPS)
-	$(MAKE) -f GNUmakefile SNAPSHOT_BUILD=yes VERSION_STRING=$(VER) debug=no use_deps=yes
+	$(MAKE) -f GNUmakefile SNAPSHOT_BUILD=yes VERSION_STRING=$(VER) debug=no use_deps=yes strip=yes
 	mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && cp -rf DebugOXP/Debug.oxp AddOns/Basic-debug.oxp
 
 .PHONY: LIBJS_DBG
@@ -236,7 +236,7 @@
 	@echo
 	@echo "Development Targets:"
 	@echo "  debug               - builds a debug executable in oolite.app/oolite.dbg"
-	@echo "  release             - builds a release executable in oolite.app/oolite"
+	@echo "  release             - builds a test release executable in oolite.app/oolite"
 	@echo "  release-deployment  - builds a release executable in oolite.app/oolite"
 	@echo "  release-snapshot    - builds a snapshot release in oolite.app/oolite"
 	@echo "  all                 - builds the above targets"

=== debian/changelog ===
oolite (1.84-1) unstable; urgency=medium

  * New upstream version. Patches:
   - Initialize NSDate before playing with threads. Closes: #833134.
     Thanks to Ivan Vučica and Richard Frith-Macdonald.
   - Simplify preprocessor variables data flow, fixing minor issues.
   - Generating manifest.plist even without Xcode.
   - Remove various GCC or lintian style warnings.
   - Merge two existing patches improving desktop file.
  * Enable all hardening flags.
  * Install docs as (good) .odt and (ugly) HTML, but no more as (bad) PDF.
  * Switch to uscan version: 4 and Standards-Version: 3.9.8.
  * GNUstep now set -g by default, remove related tricks.
  * No need to install README.source in binary packages.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 02 Aug 2016 04:11:48 +0200

oolite (1.82-2) unstable; urgency=medium

  * README: avoid nvidia drivers without nvidia card. Closes: #702092.
  [ Petter Reinholdtsen <pere@hungry.com> ]
  * Add StrategyGame category to desktop file. Closes: #825680.
  [ Gianfranco Costamagna <locutusofborg@debian.org> ]
  * Make a cast explicit for glib-2.23. Closes: #818815.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Jul 2016 14:56:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
  libsdl1.2-dev, libopenal-dev, libvorbis-dev, libespeak-dev,
  libminizip-dev,
@@ -10,8 +10,7 @@
 	libnspr4-dev, libmozjs185-dev,
 	libpng-dev, mesa-common-dev, gobjc,
         pkg-config
-Build-Depends-Indep: libreoffice-writer, fonts-liberation, fonts-dejavu,
- fonts-opensymbol
+Build-Depends-Indep: libreoffice-writer
 Homepage: http://www.oolite.org
 Vcs-Git: git://anonscm.debian.org/pkg-games/oolite.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/oolite.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Copyright (c) 2007-2009 Chris Crowther <hikari@hikari.org.uk>
 # Copyright (c) 2009      Darren Salt <linux@youmustbejoking.demon.co.uk>
 # Copyright (c) 2009      Michael Werle <micha@michaelwerle.com>
-# Copyright (c) 2010-2015 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2010-2016 Nicolas Boulenguez <nicolas@debian.org>
 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -28,12 +28,8 @@
 	dh $@
 
 # Debhelper, please, do not run make -f GNUmakefile without me.
-override_dh_auto_configure:
-override_dh_auto_build-arch:
-override_dh_auto_build-indep:
-override_dh_auto_test:
-override_dh_auto_install:
-override_dh_auto_clean::
+.PHONY: $(addprefix override_dh_auto_, \
+  configure build-arch build-indep test install clean)
 # We will never call the install upstream target, as GNUstep stores
 # arch-dep and arch-indep files together. Installing to debian/tmp and
 # splitting afterwards is much more complex than moving them once.
@@ -48,12 +44,8 @@
 GSMAKE += messages=yes
 # Display compilation flags to log checkers.
 
-# Usually, "debug=yes strip=no" would be enough, but upstream uses
-# "debug" to toggle many unrelated settings, for example libmozjs
-# debugging and stripping of the binary.
-GSMAKE += STRIP=/bin/true
-
 DEB_LDFLAGS_MAINT_PREPEND := -Wl,-z,defs -Wl,--as-needed
+DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/buildflags.mk
 GSMAKE += $(foreach f,CFLAGS CPPFLAGS LDFLAGS OBJCFLAGS,"$(f)=$($(f))")
 
@@ -111,33 +103,38 @@
 	$(MAKE) $(GSMAKE) -C $(ICOSMESH_DIR) clean
 
 ######################################################################
+# Regenerating the PDF gives very ugly results even with
+# fonts-liberation, fonts-dejavu, fonts-opensymbol installed.
+# Recommended format in Debian is HTML.
+# However, we also install the sources which are often more pretty.
 # AdviceForNewCommanders.doc produces a better result than .odt.
-PDF_FROM_DOC := \
-  Doc/AdviceForNewCommanders.pdf
-PDF_FROM_ODT := \
-  Doc/OoliteReadMe.pdf \
-  Doc/OoliteRS.pdf
+HTML_FROM_DOC := \
+  Doc/AdviceForNewCommanders.html
+HTML_FROM_ODT := \
+  Doc/OoliteReadMe.html \
+  Doc/OoliteRS.html
 
 # Attempt to circumvent #730893.
 TMP_LOFFICE_HOME := $(CURDIR)/debian/tmp_loffice_config
-$(PDF_FROM_DOC) $(PDF_FROM_ODT): export XDG_CONFIG_HOME := $(TMP_LOFFICE_HOME)
-$(PDF_FROM_DOC) $(PDF_FROM_ODT): $(TMP_LOFFICE_HOME)
+$(HTML_FROM_DOC) $(HTML_FROM_ODT): export XDG_CONFIG_HOME := $(TMP_LOFFICE_HOME)
+$(HTML_FROM_DOC) $(HTML_FROM_ODT): $(TMP_LOFFICE_HOME)
 $(TMP_LOFFICE_HOME):
 	mkdir $@
 override_dh_auto_clean::
 	rm -fr $(TMP_LOFFICE_HOME)
 
-override_dh_auto_build-indep: $(PDF_FROM_DOC) $(PDF_FROM_ODT)
-$(PDF_FROM_DOC): %.pdf: %.doc
-	libreoffice --headless --convert-to pdf --outdir $(dir $@) $<
-$(PDF_FROM_ODT): %.pdf: %.odt
-	libreoffice --headless --convert-to pdf --outdir $(dir $@) $<
+override_dh_auto_build-indep: $(HTML_FROM_DOC) $(HTML_FROM_ODT)
+$(HTML_FROM_DOC): %.html: %.doc
+	libreoffice --headless --convert-to html --outdir $(dir $@) $<
+$(HTML_FROM_ODT): %.html: %.odt
+	libreoffice --headless --convert-to html --outdir $(dir $@) $<
 override_dh_auto_clean::
-	rm -f $(PDF_FROM_DOC) $(PDF_FROM_ODT)
+	rm -f $(HTML_FROM_DOC) $(HTML_FROM_ODT)
 
-######################################################################
 RESOURCES := oolite.app/Resources
 SOUNDS    := Music Sounds
+
+.PHONY: override_dh_install
 override_dh_install:
 	dh_install --package=oolite-data-sounds \
           $(addprefix $(RESOURCES)/,$(SOUNDS)) usr/share/oolite
@@ -145,8 +142,13 @@
 	dh_install --package=oolite-data \
           $(addprefix --exclude=$(RESOURCES)/,$(SOUNDS)) \
           $(RESOURCES)/* usr/share/oolite
+	dh_install --package=oolite-doc \
+	  $(HTML_FROM_DOC) $(subst .html,.doc,$(HTML_FROM_DOC)) \
+	  $(HTML_FROM_ODT) $(subst .html,.odt,$(HTML_FROM_ODT)) \
+	  usr/share/doc/oolite
 	dh_install --remaining-packages
 
 ######################################################################
+.PHONY: override_dh_installchangelogs
 override_dh_installchangelogs:
 	dh_installchangelogs --all Doc/CHANGELOG.TXT

=== debian/watch ===
version=4

opts=\
  filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/oolite-$1\.tar\.gz/ \
  https://github.com/OoliteProject/oolite/tags \
  .*/v?(\d\S*)@ARCHIVE_EXT@
